Update an existing voice by its ID
curl --request PUT \
--url https://api.callers.ai/voices/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"isMultilingual": true,
"supportedLocales": [],
"settings": {
"stability": 0.5,
"similarity_boost": 0.75,
"speed": 0
}
}
'import requests
url = "https://api.callers.ai/voices/{id}"
payload = {
"name": "<string>",
"isMultilingual": True,
"supportedLocales": [],
"settings": {
"stability": 0.5,
"similarity_boost": 0.75,
"speed": 0
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
isMultilingual: true,
supportedLocales: [],
settings: {stability: 0.5, similarity_boost: 0.75, speed: 0}
})
};
fetch('https://api.callers.ai/voices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"voiceId": "<string>",
"name": "<string>",
"isMultilingual": true,
"supportedLocales": [
"<string>"
],
"ttsClient": "<string>",
"gender": "MALE",
"organizationId": "<string>",
"settings": {
"stability": 0.8,
"style": 0.3
}
}{
"status": "error",
"message": "<string>",
"data": [
{}
]
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Voices
Update an existing voice by its ID
PUT
/
voices
/
{id}
Update an existing voice by its ID
Authorizations
Headers
Optional sub organization ID. Must belong to your main organization API key.
Path Parameters
ID of the voice to update
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
Payload for updating the voice
Minimum string length:
5Available options:
en-US, en-GB, en-AU, en-CA, en-IE, en-IN, en-NZ, en-ZA, en-SG, es-ES, es-MX, es-AR, es-CL, es-PE, fr-FR, pt-BR, pt-PT, zh-CN, cmn-EN, nl-NL, fi-FI, de-DE, de-AT, de-CH, de-LU, de-LI, gsw-CH, gsw-LI, el-GR, hi-IN, en-TA, id-ID, it-IT, ja-JP, ko-KR, ms-MY, en-MS, ro-RO, ru-RU, uk-UA, ka-GE, bg-BG, cs-CZ, da-DK, pl-PL, sk-SK, sv-SE, tr-TR, ar-SA, ary-MA, arz-EG, apc-LB, apc-SY, apc-PS, apc-JO, acm-IQ, ar-AE, afb-AE, afb-BH, afb-KW, afb-QA, afb-OM, hr-HR, hr-BA, he-IL, ur-PK, hu-HU, fil-PH, th-TH, vi-VN Show child attributes
Show child attributes
Available options:
MALE, FEMALE Response
The updated Voice object
The ID of the voice
The provider-specific voice ID
The name of the voice
Indicates if the voice supports multiple languages
Array of supported locale strings
Identifier for the TTS (text-to-speech) client
The gender of the voice
Available options:
MALE, FEMALE The organization ID that owns this voice
Additional settings stored in JSON format
Example:
{ "stability": 0.8, "style": 0.3 }